/*
 *  Copyright 2011 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.skinfactory.ribbon');

/**
 * Abstract control for a skin parameter
 * 
 */
org.ametys.skinfactory.ribbon.SkinParameterControl = function (id, configuration, pluginName) 
{
	org.ametys.skinfactory.ribbon.SkinParameterControl.superclass.constructor.call(this, id, configuration, pluginName);
}

Ext.extend(org.ametys.skinfactory.ribbon.SkinParameterControl, org.ametys.ribbon.control.button.ActionButton);

org.ametys.skinfactory.ribbon.SkinParameterControl.prototype.onMessage = function (messages)
{
}


